<?php
require("../adei.php");

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");


#switch ($_GET['encoding']) {
#    case 
#}

try {
    $req = new DATARequest();
//    $enc = $req->GetResponseEncoding(REQUEST::ENCODING_XML);

    $reader = $req->CreateReader();
    
    switch (strtolower($_GET['target'])) {
     case "get":
	$res = $reader->GetControls(NULL, NULL); 
     break;
     case "set":
//        $reader->SetControls(NULL, NULL, ...);
     break;
     case "alarms":
        $res = $reader->GetAlarmsDetailed();
     break;
     case "alarms_summary":
        $res = $reader->GetAlarms();
	$title = $reader->GetSourceTitle();
     break;
     case "alarms_current":
        $res = $reader->GetCurrentAlarms();
     break;
    }
} catch(ADEIException $ex) {
    $ex->logInfo(NULL, $reader?$reader:$req);
    $error = xml_escape($ex->getInfo());
}


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
if ($error) echo "<result><Error>$error</Error></result>";
else if ($res) {
    $extra = "";
    if ($title) $extra .= " title=\"" . xml_escape($title) . "\"";
    
    echo "<result$extra>\n";
    foreach ($res as $control) {
	$extra = "";
	foreach ($control as $prop => $value) {
	    $extra .= " $prop=\"" . xml_escape($value) . "\"";
	}
	echo " <Value$extra/>\n";
    }
    echo "</result>";
}


#    $export = $req->CreateExporter();
#    $export->Export();
#} catch(ADEIException $ex) {

?>
